package org.dromara.payment.channel.service;

import org.dromara.payment.channel.domain.BusChannelFlows;
import org.dromara.payment.channel.domain.vo.BusChannelFlowsVo;
import org.dromara.payment.channel.domain.bo.BusChannelFlowsBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 代理商流水Service接口
 *
 * @author LionLi
 * @date 2024-04-10
 */
public interface IBusChannelFlowsService {

    /**
     * 查询代理商流水
     */
    BusChannelFlowsVo queryById(Long id);

    /**
     * 查询代理商流水列表
     */
    TableDataInfo<BusChannelFlowsVo> queryPageList(BusChannelFlowsBo bo, PageQuery pageQuery);

    /**
     * 查询代理商流水列表
     */
    List<BusChannelFlowsVo> queryList(BusChannelFlowsBo bo);

    /**
     * 新增代理商流水
     */
    Boolean insertByBo(BusChannelFlowsBo bo);

    /**
     * 修改代理商流水
     */
    Boolean updateByBo(BusChannelFlowsBo bo);

    /**
     * 校验并批量删除代理商流水信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
